% meta
\newcommand{\todo}{\colorbox{red}{\textbf{TODO!!!}}}

% images

% references
\newcommand{\fg[1]}{Figure \ref{fig:#1}}  % label must be fig:...
\newcommand{\tab[1]}{Table \ref{tab:#1}}  % label must be tab:...
\newcommand{\eq[1]}{equation \ref{eq:#1}}  % label must be eq:...
\newcommand{\see[1]}{(see \ref{#1})}  % e.g (see 2.4.1)
\newcommand{\seec[1]}{(see \cite{#1})}  % e.g (see [Liu18])

% todo list
\newcommand{\cmark}{\ding{51}}%
\newcommand{\xmark}{\ding{55}}%
\newcommand{\done}{\rlap{$\square$}{\raisebox{2pt}{\large\hspace{1pt}\cmark}}%
\hspace{-2.5pt}}
\newcommand{\wontfix}{\rlap{$\square$}{\large\hspace{1pt}\xmark}}

% conditions in equations
\newenvironment{conditions}
  {\par\vspace{\abovedisplayskip}\noindent\begin{tabular}{>{$}l<{$} @{${}{}$} l}}
  {\end{tabular}\par\vspace{\belowdisplayskip}}

% others
\newcommand{\ie}{i.e.}
\newcommand{\eg}{e.g.}
\newcommand{\no}{number of}
\newcommand{\wrt}{w.r.t.}
\newcommand{\aka}{a.k.a.}

% abbreviations

\newcommand{\sota}{SOTA}

% images

\newcommand{\img}[2]{
    \includegraphics[width=#1]{#2}
}
% e.g \img{40mm}{universe.png}

\newcommand{\showFig}[4]{
    \begin{figure*}[htp]
    \centering

    \img{#1}{#2}

    \caption{#3}
    \label{fig:#4}
    \end{figure*}
}
% e.g \showFig{40mm}{universe.png}{"the universe"}{label-univ}

\newcommand{\showSubFig}[3]{
    \subfigure[#3]{
        \img{#1}{#2}
    }
}
% e.g \showSubFig{40mm}{universe.png}{"the universe"}

\newcommand{\showPredOfModel}[3]{
    \showSubFig{40mm}{\figDir/#2/#1/pred_#3.png}{#1}
}

\newcommand{\showHistoryOfModel}[2]{
    \showSubFig{60mm}{\figDir/#2/#1/\histToShow}{#1}
}

\newcommand{\showSample}[1]{
  \showSubFig{60mm}{\figDir/no-aug/sample_input_#1.png}{input}\quad
  \showSubFig{60mm}{\figDir/no-aug/sample_hist_#1.png}{histogram input}\quad
  \showSubFig{60mm}{\figDir/no-aug/sample_mask_#1.png}{ground truth mask}
}